﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace lunarLander
{
    class Ground
    {
        public Ground()
        {
            //generate terrain
            points = new List<PointF>();
        }

        public int TotalHeight = 100;
        public int ScreenHeight = 480;
        public int Width = 200;
        const int landingStripWidth = 30;
        public List<PointF> points;

        public void GenerateTerrain()
        {
            Random rnd = new Random();
            //our terrain is left list of connected dots in random height < 1/2 of screen
            for (int w = 0; w < Width; w += rnd.Next(150) + 20)
            {
                points.Add(new PointF(w, rnd.Next(TotalHeight)));
            }

            int landingsCount = rnd.Next(3)+2;
            for(int i = 0 ; i < landingsCount; i++)
            //insert landings 
            {
                int idx = rnd.Next(points.Count);
                points.Insert(idx+1, (new PointF(points[idx].X + landingStripWidth, points[idx].Y)));
            }
            points.Add(new PointF(Width, rnd.Next(TotalHeight)));

            //"normalize terrain" - lower it to the lowest point
            //find lowest point
            float lowest = points.Min(p => p.Y);

            //decrease each
            for (int i = 0; i < points.Count; i++)
            {
                points[i] = new PointF(points[i].X, ScreenHeight - (points[i].Y - lowest));
            }


        }
    }
}
