﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lunarLander
{
    class MathFuncs
    {
        /// <summary>
        /// Normalizes the angle, that means - fits it in &lt;0, 2*pi&gt;.
        /// </summary>
        /// <param name="angle">Angle to normalize.</param>
        /// <returns>Normalized angle</returns>
        public static double NormalizeAngle(double angle)
        {
            while (angle < 0)
                angle += 2 * Math.PI;
            while (angle > 2 * Math.PI)
                angle -= 2 * Math.PI;
            return angle;
        }

        /// <summary>
        /// Converts angle in degrees to radians.
        /// </summary>
        /// <param name="angle">Angle in degrees.</param>
        /// <returns>Angle in radians.</returns>
        public static double DegreesToRadians(double angle)
        {
            return angle * Math.PI / 180;
        }

        /// <summary>
        /// Converts angle in radians to degrees.
        /// </summary>
        /// <param name="angle">Angle in radians.</param>
        /// <returns>Angle in degrees.</returns>
        public static double RadiansToDegrees(double angle)
        {
            return angle / Math.PI * 180;
        }

    }
}
